Jul 16

Got the following error while trying to run gitosis-init on Ununtu 9.04. After a bit of searching found it was a known bug. Workaround is to edit /usr/bin/gitosis-init to use python 2.5 instead of python 2.6.

mick@builder:/srv/gitosis$ sudo -H -u gitosis /usr/bin/gitosis-init < /tmp/id_rsa.pub
Traceback (most recent call last):
  File "/usr/bin/gitosis-init", line 5, in 
    from pkg_resources import load_entry_point
  File "/usr/lib/python2.6/dist-packages/pkg_resources.py", line 2562, in 
    working_set.require(__requires__)
  File "/usr/lib/python2.6/dist-packages/pkg_resources.py", line 626, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python2.6/dist-packages/pkg_resources.py", line 524, in resolve
    raise DistributionNotFound(req)  # XXX put more info here
pkg_resources.DistributionNotFound: gitosis==0.2
mick@builder:/srv/gitosis$ /usr/bin/python2.

written by objects \\ tags: , , ,


Leave a Reply

You must be logged in to post a comment.